-------- 更新历史 -----------------------------------------

// 更新历史 - 删除 v10.20 之前的更改

v16.10.0.1036 (2010-07-07)

  * 改进: 针对 FTP 帐号大量操作进行了重大性能改进 (包括在 FTP 帐号管理器编辑帐号)
  * 修正: “查找”对话框中“显示行/隐藏行”功能相关问题
  * 修正: 列标记问题
  * 修正: XML/HTML 文件代码折叠问题
  * 修正: 当使用 Perl 正则表达式, 并在文件结尾停止查找后, 却跳到文件开头
  * 修正: 当启用“显示行结束符”, 并在文件中拖拽文本到新的位置时, 应用程序挂起
  * 修正: 当通过 SFTP 以 ASCII 传送方式保存文件时, 最后一行被删除
  * 修正: 通过命令行通配符打开文件, 复制/粘贴数据到文件后的显示问题
  * 修正: 使用本地化版本打开 SQL 着色文件时, 应用程序退出
  * 其它: 小幅改进和增强


v16.10.0.1035 (2010-06-22)

  * 改进: 大型语法着色文件处理性能
  * 修正: 解决使用多个帐号定义的 FTP 操作相关性能问题
  * 新增: 使用箭头键, 能够通过查找/替换的历史字符串滚动还原
  * 修正: 打开文件的排序问题 (在文件视图的 "打开" 标签)
  * 修正: 工程或 FTP 文件被打开或重新加载, 即使它们上次打开为最大化
  * 修正: 在 FTP 对话框浏览相关问题
  * 修正: "升级检查" 在自动下载时可能下载到错误的语系
  * 修正: 当点击 "比较文件" 时挂起 (有某种情况下)
  * 修正: 当启用旧式窗口列表和吸附文件标签时, 点击窗口列表会导致程序挂起
  * 修正: 在副本窗口中编辑的相关问题
  * 修正: 文件排序问题
  * 修正: FTP 帐号共享问题
  * 修正: 功能列表问题
  * 其它: 小幅改进和增强

v16.10.0.1028 (2010-06-08)

  - 修正: 韩文版的列标记问题
  - 修正: 在大型文件中注释选区功能问题
  - 修正: 几个 FTP 次要问题
  - 修正: 几个创建工程相关问题

v16.10.0.1025 (2010-06-02)

  - 修正: “在文件中查找”的结果在输出窗口格式问题

v16.10.0.1024 (2010-06-01)

  - 修正: 与保存相关的问题
  - 修正: 在 UltraEdit 中打开 FTP 文件比较失败的问题
  - 修正: 当光标位于行的中段时的排序问题

v16.10.0.1021 (2010-05-28)

    * 主要性能提升
          o 启动速度加快 2 倍 *
          o 文件加载速度加快 2 倍
    * 扩展代码折叠选项
          o 新式图形折叠行
          o 启用可配置的/颜色匹配括号着色
    * 新式界面“在文件中替换”
          o 递增遍及每个匹配的目录/文件
          o 同意或忽略文件, 文件夹, 或全部
    * 自动加载具体工程宏
    * 新式鼠标滚轮扩缩 (CTRL + 鼠标滚轮): 迅速增大/缩小字体大小...
    * 采用新式变量 dump (var_dump) 函数快速写入/调试脚本
    * UltraEdit/UEStudio/UltraCompare 之间 FTP 帐号共享: 设置和忘记 FTP 帐号信息
    * 排序更快速更简单: 排序关键字现在从列模式选区自动填充
    * 标签列表和字词文件支持 XHTML/HTML 5
    * 外加核心功能的扩展维护与性能改进
          o 增强: 对 Unicode 字符文件名称/路径的处理
          o 增强: 许多宏/脚本增强
          o 改进: 许多显示方面的改进
          o 增强: 文件打开/文件保存
          o 改进: Win 7 兼容性
          o 改进: 拼写检查功能包括针对重音和大小写混合等情况进行更好的处理
          o 更新: 几处文件树状视图
          o 增强: 在文件之间切换时, 函数列表更快速, 效率更高
          o 改进: FTP/SFTP 文件通过用户工具或命令行工作
          o 改进: 德文语系本地化支持, 几处修饰/本地化增强

v16.00.0.1040 (2010-04-27)

   - 更新: HTML 和 CSS 词语文件, 以满足当前标准
   - 添加: 新的扩展名着色, 如 XML 和 HTML 文件
   - 更新: PHP 函数字符串支持更多函数格式
   - 更新: 函数列表中的 Java 函数字符串结果更精确
   - 改进: 打开许多文件时, 提升了对代码折叠的处理速度和性能
   - 改进: 在输入时拼写检查遵从忽略选项
   - 修正: 如果查找的字符串未找到, 宏将停止运行
   - 修正: 运行快速录制宏到文件结尾会导致应用程序挂起
   - 改进: 函数列表背景色现在遵从子窗口背景色设置
   - 改进: 当从大文件切换后, 函数列表“卸载”函数的性能得到提升
   - 修正: .c (c/c++) 文件的函数列表仅返回一个参数。
   - 修正: 函数列表中的大写 ASCII 字符导致函数名称被截断
   - 修正: 如果临时文件 (虚拟内存) 已满, 则解密失败
   - 修正: 在某行的边缘选择并删除了行, 且按下退格或删除键, 则折叠指南不能更新
   - 修正: 替换后, 行数变化指示器出现几个问题
   - 修正: 保存到 FTP 后, 行数变化指示器不能更新
   - 修正: 替换选区内的文本后, 列块选择丢失
   - 修正: 转换只读文件 XML 为 CR/LF 一切正常, 但不缩进 
   - 修正: 小幅修正本地化对话框一些翻译问题
   - 其它: 小幅改进和增强

v16.00.0.1038 (2010-04-13)

  - 修正: 某些情况下“在文件中查找”无法正常工作
  - 修正: 输入时导致拼写检查出错, 提示“参数不正确”

v16.00.0.1037 (2010-04-09)
   - 修正: 上一版“在文件中查找”的问题

v16.00.0.1036 (2010-04-09)
   - 性能改进 - 改进了多文件打开速度
   - 更准确的函数列表 (C++ 文件)
   - 修正: 当取消勾选函数列表关联菜单“排序”时崩溃的问题
   - 修正: 在函数列表中不能显示特殊字符的问题
   - 增强: "在文件中查找" 通配符匹配将超过您的预期 (例如, *.c 也将匹配 *.cpp)
   - 修正: "在文件中查找/替换" 对话框使用了高级系统 DPI 时的显示问题
   - 修正: 德文版“在所有打开文件中替换”的问题
   - 修正: 命令行脚本被执行两次的问题
   - 修正: FTP 帐号在文件视图未正确排序
   - 修正: "移到左边的标签后, 当前标签关闭" 失效的问题
   - 修正: 当在 "视图 -> 设置颜色" 菜单切换用户颜色主题时, 提示错误
   - 修正: 在大型语法着色文件中光标闪烁 (每次击键都出现沙漏) 的问题
   - 修正: 文本被删除后, 书签转到错误的行
   - 修正: 一些行数变化指示器问题
   - 修正: 将一个空文件转换为 UTF-8 编码失效的问题
   - 新增: 更新了一些正则表达式构建器对话框
   - 更新: aspell

v16.00.0.1032 (2010-03-15)
   - 改进: 更小巧的行数变化指示器 
   - 新增: 完全禁用行数变化指示器的菜单项目“所有文件均禁用 LCI”
   - 新增: 在主工具栏添加用来切换行数变化指示器的工具栏按钮
   - 新增: 在函数列表树显示三级节点
   - 修正: 自动完成对话框显示所有函数列表项目的问题
   - 修正: 列模式的一些性能问题
   - 修正: 粘贴多个行时, 行数变化指示器的问题
   - 修正: 启用平坦函数列表时, 函数列表排序不正确
   - 修正: 在文件之间切换时, 活动函数在函数列表中着色的问题

v16.00.0.1029 (2010-03-10)
   - 此修复程序解决了一个少数个别用户所遇到的问题, 即: 当新建文件或打开现有文件时，UltraEdit 会瞬间挂起的问题

v16.00.0
   - 行数变化指示器
   - 快速列模式
   - 要选区中查找 - 保持选区状态
   - 隐藏/显示所有包含搜索目标的行
   - 删除所有隐藏的行
   - 在输入窗口结果中加亮“搜索”字符串
   - UTF-8 改进
     * 在“在文件中查找/替换”对话框添加代码页选择
     * 新增“新建文件为 UTF-8 编码”设置
   - 插入文件可转换为指定文件类型
   - 注释/取消注释选区
   - 脚本代码页支持
   - 能够在另一个脚本中包含一个脚本
   - 自动增补缺失的括号
   - 添加只读可视 Clue 文件
   - 允许在 XML 管理器进行文本编辑
   - 正则表达式构建器

v15.20.0.1026 (2010-01-25)
   - 更好的支持大型 XML 文件 (折叠/着色)
   - 自定义备份 / 还原现在能够备份字词文件
   - Shift+Ctrl+Tab 的还原行为可通过文件标签反向操作
   - 修正了子窗口定位可见屏幕关闭时的显示问题
   - 修正了在窗口面板切换时的 CTRL+F10 / ALT+F10 快捷方式
   - 更好的支持 Windows 7 (系统文件不再保存到虚存储器)
   - 修正了在 16 进制模式新增 16 进制字节时, 右侧显示的 ASCII 不更新的问题
   - 修正了在大型 HTML 文件中进行代码折叠时, 导致程序崩溃的问题
   - 修正了语法着色不能更新的问题 (当修改字词文件时, 如果使用的是 wordfile.txt, 而不是 .uew 或字词文件目录的话)
   - 修正了从命令行打开文件, 却从错误的目录打开的问题
   - 修正了在列模式下撤销改写编辑的问题

v15.20.0.1020 (2009-10-28)
   - 改进了“包含查找字符串的行”对话框的字体显示情况
   - 删除了菜单中的 ClearType 渲染 (如果在 Windows 显示设置未启用 ClearType)
   - 工程现在正确地记忆拆分窗格中的文件
   - 文件标签排序现在能够正确地排序数字文件名称
   - 恢复了应用程序从不同来源 (例如: Windows 资源管理器或一个不同的应用程序) 打开文件时, 取得焦点的行为
   - 修正了从资源管理器加载文件时, 函数列表不更新的问题
   - 修正了操作非常大的文件时, 导致“内存溢出”错误的问题
   - 修正了删除书签行命令的问题
   - 修正了 FTP 文件与本地文件比较有时失败的问题
   - 其它小问题...

v15.20.0.1017 (2009-10-12)
   - 修正了从资源管理器打开文件时, 应用程序窗口“闪烁”的问题
   - 修正了未启用文件标签时, activeDocument 的访问问题
   - 修正了删除/剪切书签上面的行时, 书签位置的问题
   - 修正了从资源管理器加载文件时，函数列表更新的问题
   - 修正了撤销后, 段落重排导致数据重复的问题
   - 修正了组撤销的问题
   - 修正了当启用自动更正关键字时, 撤销/重做导致文本错误的问题
   - 修正了列模式粘贴和撤销的问题

v15.20.0
   - “撤销”增强
     * 用户每次能够撤销大于以前 25-50k 限制的操作
   - “撤销”支持以下操作:
     * 在列号后自动换行, 插入 CR/LF
     * 转换为固定列
     * 转换为字符限制
     * 在每一个增量插入字符串
     * 排序
     * CRLF 转换为自动换行
     * 自动换行转换为 CRLF
     * Tab 转换为空格
     * 空格转换为 Tab (所有)
     * 空格转换为 Tab (前导)
     * XML 转换为 CRLF
     * 艺术风格
     * 选区缩进
     * 段落重排
   - Tab 转换为空格 / 空格转换为 Tab
     * 增加了在语法着色文件中逐个字符串忽略 Tabs 的设置, 位置在 高级 -> 配置 -> 编辑器显示 -> 格式化
       "不转换注释和引用里的空格和 Tab 字符串"
   - 添加所选文本的 Base64 编码/解码支持
     * 键盘映射支持
     * 宏支持
     * 脚本支持 (activeDocument 对象) 
       - encodeBase64
       - decodeBase64
   - 列表行包含的字符串现在使用编辑窗口字体
   - 改善了打开多文件的性能

v15.10.0
   - XML 管理器
     * 双击任何节点位置
     * 按住 SHIFT + 双击鼠标左键选择节点
     * 剪切, 复制, 粘贴节点
     * 使用剪贴板粘贴内容替换节点
     * 上移/下移节点
     * 制作节点副本
     * 重新格式化 XML 文档
   - 列标记增强
     * 列标记数无限制
     * 能够定义组
   - 代码折叠增强
     * 代码折叠图形线
     * 独立线程的折叠处理
   - 基于排序关键标准, 去除了重复排序
   - XML Lint 遵循 XML 文件 wordfile 扩展

v15.00.0
   - 新的界面并改进了实用性
     * 全新的文件打开地址栏
     * 全新的可选颜色文件标签
     * 便捷打开文件下拉菜单
     * 标签子窗口包含自动隐藏
     * 全新的渐变明暗工具栏
     * 拖拽垂直/水平平铺视图
     * 可吸附文件标签自动重新调整大小
     * 自动隐藏窗口用户可调控件
     * UltraCompare 精简版新界面
     * 更多功能 - 能够删除书签行
   - 能够切换所有列标记“开/关”
   - 能够在模板列表上下移动模板
   - 能够通过 FTP 浏览器在服务器创建文件
   - SSH/Telnet 会话记录
   - Web 搜索工具栏
     * 可通过关联菜单修改
     * 用户通过键盘映射指派
   - 现在自动查找和替换列位置
      从所选文本开头和结尾位置填充
   - UltraEdit 和 UltraCompare 大规模集成
      包括 UE 和 UC 的字体, 代码页, 和脚本等功能
   - 语言/字词文件数量不限
   - 语法颜色信息移动到字词文件中
   - 独立的字词文件

v14.20.1.1008 (2009-01-20):

* 修正了函数列表在大型 Unix 文件中的位置问题
* 函数列表现在能够自动更新
* 修正了宏命令中正则表达式里单引号的问题
* 修正了“在文件中替换”不能正确分析子目录的问题
* 脚本现在遵从文件只读设置
* 修正了宏命令 UnixReOff 被截断的问题

v14.20.1
   - FTP
     * 如果目录路径过长会导致 FTP 对话框问题
     * 在 Windows 2000 下，FTP 打开帐号下拉列表过小
     * FTP 相对文件路径不再有效
     * 在 FTP 打开/保存对话框，二进制/ASCII 选择行为失常
     * 通过 FTP 丢失的行结束符保存新的 Unix 文件
     * 在 FTP 双击动态链接另存为对话框导致文件名称被动态链接目录名称替换
     * 按“回车”选择后，FTP 浏览器文件夹不能打开
     * 保存到 FTP 出错后，不能关闭 UltraEdit
     * 当使用多重“另存为到 FTP”命令后，仅第一个命令被执行
     * 本地拷贝目录不再有效
     * 完整的 FTP 文件路径不再隶属于“另存到 FTP”对话框
   - 函数列表
     * 拆分窗口的函数列表无效
     * 通过 FTP/SFTP/FTPS 打开文件的函数列表无效
     * 副本窗口的函数列表无效
     * 函数列表崩溃和函数签名过长
     * 使用多语言加亮的函数列表占用内存和 CPU 资源过多
   - Javascript 引擎
     * JavaScript 替换“在（隐藏目录）文件中替换”未被指明
     * 指定 Javascript 写入到输出窗口会导致应用程序崩溃
     * 在文件中（从文档数组参照）进行脚本查找失败
     * 脚本文档方法 setActive() 失败
   - 在 UltraEdit 中比较（通过 FTP 打开的）文件会被断掉
   - 如果文件未保存，复制行时会跳到文件顶端
   - 宏
     * 不配对的引号将会导致宏编辑器出错
     * 当保存宏定义后，宏内容丢失
     * 添加“在文件中替换”或“在编辑器修改”将导致命令从宏定义中删除
   - 查找/替换
     * 当在列模式使用 F3 时，导致文本加亮匹配不正确
     * 在文件中使用 Perl 正则表达式进行 16 进制值替换时崩溃

v14.20.0

   - FTP 增强
     * 新增: FTPS 支持
     * 新增: 异步还原为保存状态
     * 新增: 支持 FTPS 选项, 在 FTP 帐号管理器
     * 增强: FTP 打开/保存对话框
   - 新增: 以独立线程打开函数列表
   - 新增: 刷新时可选移动焦点到函数列表
   - 新增: 能够添加 20 个额外帮助文件
   - 新增: 能够在书签视图指定列顺序
   - 新增: 在打开文件列表单击激活文件选项
   - 新增: 能够在列出包含字符串的行显示行号
   - 新增: 移动应用程序窗口中的所有浮动窗口 (在视图 -> 视图/列表菜单)
   - 新增: 脚本增强了对 UltraEdit.clipboardContent 的支持
   - 新增: 安装程序记住后来安装的安装选项
   - 新增: 在关联菜单的 UE 图标

v14.10.0.1024 (2008-07-25)

* 修正了移动光标/滚动条之后,“在文件中查找”结果文件空白的问题

v14.10.0.1023 (2008-07-23)

* 新增查找窗口选定文本还原功能

v14.10.0.1022 (2008-07-18)

* 更新 zlib DLL 为最新安全性补丁
* 更新了新增列表后文件树视图 "列表" 按扭
* 修正了在任务栏使用 NVidia 关联菜单子菜单时崩溃的问题
* 修正了使用 Unix 样式正则表达式时崩溃的问题
* 修正了 16 进制编辑状态下当文件转换成 UTF-8 时崩溃的问题
* 修正了通过脚本排序命令改变排序参数时出现的问题
* 修正了在脚本中 Perl 正则表达式指定替换字符时出现的问题
* 修正了当应用程序没有打开其它文件时菜单热键无效的问题
* 修正了 WebSearch 搜索时使用上次查找的字符串而不是所选文本的问题
* 修正了收藏夹文件对话框打开按钮调整窗口大小时的问题

v14.10.0.1018 (2008-07-03)

- 在启用 Versioned 备份的情况下， 当“另存为”一个未编辑文件时挂起

v14.10.0.1017

    - 增强查找功能
      * 能够在查找/替换对话框中命名收藏夹
      * 能够排除特定的文件名和扩展名
      * 查找不匹配搜索条件的行
      * 当替换被选择文字时，设置缺省被选择文字
    - 插入菜单作为一个独立的主菜单
    - "另打开为"功能支持Unicode和二进制文件
    - 在浏览器中被选择的文件加载到单一新实例里
    - 在UE浏览器中点击右键链接到Windows菜单
    - 增强书签功能
      * 自动命名书签包括在行号中
      * 通过文件光标在列表视图中加亮书签
    - 自动加密文件保存
    - XHTML检测和可折叠
    - 在快速指南中增加了缺省浏览器
    - Wordfile和Taglist版本帮助将来升级

v14.00b+1 (2008-06-13):

* FTP 文件传送增强
  o FTP 浏览器支持使用类似这种名称 "\..\..\..\..\..\..\..\..\..\testfile.txt"
  (由于名称中 "..\" 的解析, 文件能够被传送到更高一层的文件夹中)
* 修正了“在文件中查找”和 CTAG 中出现的不可重复的崩溃的问题
* 修正了将多于 20,000 个字符粘贴到替换对话框时, 出现的“不可避免的错误”对话框的问题 (即使重新启动应用程序) 
* 修正了替换所有选定文本后, “替换”对话框关闭的问题 (即使并未勾选这个选项)
* 当清除“查找”对话框内容后, “替换”对话框的“开始/全部替换”被禁用
* 修正了出现在“查找/替换”对话框内的历史

v14.00b (2008-05-16):

- 安装程序修改了对限制安装的支持 (非管理员用户)
- 可调整大小的 ASCII 字符表
- 移动高级配置导航框到对话框的顶部
- 修正了在脚本中“查找/替换”时出现的某些问题
- Web 搜索支持使用扩展字符
- 现在“查找/替换”对话框中的加速键在所有语言中是唯一的
- 修正了使用 Perl 样式的“正向前查找”正则表达式出现的问题
- 修正了使用特殊 Perl 样式正则表达式在替换字符时没有解释的问题
- 当前正则表达式样式现在指向下一个 "正则表达式" 勾选框
- 检测到不含 BOM 的 Unicode 文件时不能适当的工作
- 工程设置中“添加/删除”按钮可用于 UNC 路径
- 优化了工程加载性能
- 在所有打开的文件中“查找下一个”并未遍历所有文件
- 修正了一些宏替换命令方面的问题
- 各种工具栏和环境增强
- 修正了所有已知错误，以及可再现的崩溃和挂起, 包括:
  * 修正了当使用 Perl 正则表达式时出现的“内存溢出”错误
  * 修正了德文版 Open Road 崩溃的问题
  * 用户自定义宏命令导致堆栈上溢崩溃
  * 在 FTP 浏览器连接到 SFTP 服务器时崩溃
  * 将空白的 "Edit1" 文件与上一个选定文件进行比较时崩溃

v14.00a+3 (2008-05-12)

- 启用精简对话框时, 以“列出包含字符串的行”进行搜索后, 查找对话框不再显示
- 使用 Perl 正则表达式在 XML 文件中进行替换时崩溃
- 在脚本中, searchDown = false; 找不到搜索目标
- 在某些情况下, 在脚本中替换会产生无限循环
- 安装程序修改了对限制安装的支持
- 上一个补丁会导致 $ 替换值和标记表达式产生问题

v14.00a+2 (2008-05-02)

- 安装支持非管理员用户
- 解密文件时现在仅询问一次密码
- 当前正则表达式样式现在指向下一个“正则表达式”复选框
- 修正了当使用 Perl 样式的正则表达式进行查找和替换时出现的“内存溢出”错误
- 修正了日文版的工具提示
- 修正了使用 Perl 样式的“正向前查找”正则表达式出现的问题
- 修正了“无法为文本扩展分配内存”的脚本错误信息
- 移动高级配置导航框到对话框的顶部
- 修正了德文版 Open Road 崩溃的问题
- 修正了用户自定义宏命令堆栈上溢崩溃的错误
- 修正了在复制窗口内一再的复制行导致崩溃的问题 
- 其它小幅增强和修正

v14.00a+1 (2008-04-09)

- ASCII 字符表现在可调整大小
- 脚本命令 closeFile 现在支持脱字符号 (即:“^”)
- WebSearch (网络搜索) 允许使用扩展字符
- 修正了德文版 "保存改变到 %1?" 未翻译的错误
- “未找到搜索的字符串 'x'!”现在只显示一次
- 现在“查找/替换”对话框中的加速键在所有语言中是唯一的
- 工具栏分类选择比环境高级
- 可从最小化的重新层叠的 3 个吸附窗口中快速启动 UE
- 在最后一个图标处，可自定义工具栏、下箭头按钮是禁止的
- 检测到不含 BOM 的 Unicode 文件时不能适当的工作
- 使用命令行打开早已打开的文件时，会切换焦点到文件标签
- 在 MAC 文件中，列模式“删除/剪切”删除了过多的文本
- 工程设置中“添加/删除”按钮可用于 UNC 路径
- 备份工程命令显示压缩文件的正确尺寸
- 工程加载现在更快速
- 查找光标处的文字时自动复制选定文本
- 在所有打开的文件中“查找下一个”并未遍历所有文件
- 允许“查找下一个”在列搜索模式下使用 Perl 正则表达式
- 修正了在大型文件中使用 Perl 正则表达式进行替换操作时崩溃的问题
- 全部替换时宏命令错误
- 快速记录宏“查找/替换”选择“开/关”
- 针对大型文本文件, 改进了 ASpell 性能
- 在特殊情况下, INI 设置无法保存
- 最小化后 UltraEdit 还保持活动状态
- 修正了在 FTP 浏览器连接到 SFTP 服务器时崩溃的问题
- FTP 连接到 OpenVMS 服务器, 文件语法错误解析
- 将空白的 "Edit1" 文件与上一个选定文件进行比较时崩溃

v14.00a (2008-03-17)

- 日文本地化可用
- 修正了在列模式下撤销时, 粘贴超过行尾的问题
- 修正了从命令行打印语法着色文件的问题
- 当使用“转换到固定列”, 定界符不再追加到行尾
- 更新了德文版“查找/替换”对话框的某些翻译
- 增强了“查找/替换”快捷键
- 修正了“全部计数”忽视“查找位置”选择的问题
- 修正了如果在“查找”对话框未选择“当前文件”时,“全部着色”和“列出包含字符串的行”的行为
- 在“选定文本”中替换时, 不再跳过首个找到的事件
- 修正了宏循环
- 修正了快速宏记录时, 使用 F3 导致 UE 崩溃的问题
- 修正了结束 XML 注释时的问题
- 保存时, 自动播放宏现在工作于 FTP 文件
- 修正了当更改 ASCII 字符表字体导致下次启动时崩溃的问题
- 增强了 FTP 浏览器界面 (GUI)
- 如果用户路径的 wordfile.txt/taglist.txt 存放在当前 EXE 目录的话, Wordfile.uew/taglist.uet 将重定位到 INI 目录
- LaTeX 拼写检查筛选器忽略了注释中的命令
- 增强了 MSI 默认文件路径
- FTP 文件比较现在提示是否重新加载文件
- 现在支持“到/从网络安装”
- 剪贴板窗口的背景色
- 不再覆盖用户文件的 FTP 帐号
- 在资源管理器鼠标右击添加 FTP 文件到工程
- 其它次要修正和增强

v14.00+4 (2008-03-07)

- FTP 文件保存时的宏自动运行工作正常
- 修正了 "还原到保存状态" 问题
- 修正了当更改 ASCII 字符表字体导致下次启动时崩溃的问题
- 增强了 FTP 浏览器界面 (GUI)
- 其它次要改变

v14.00+3 (2008-03-04)

- 修正了“查找/替换”和“总计”等相关项目的问题
- 修正了某些用户调用 UltraCompare 时却没有正确的启动的问题
- LaTeX 拼写检查过滤器忽略了注释里的命令
- 增强了 MSI 默认文件路径
- 磁盘中新的 UEStudio 安装现在替换了旧的安装
- 修正了 XML 相关问题, 并加入了 XML 注释
- 比较 FTP 文件现在提示重新载入文件
- 其它次要改变

v14.00+2 (2008-03-03)

- AVG 修正: ue.exe 误报威胁报告 (由于新的 Wise 残余 .exe 安装程序)
- Wordfile.uew 重定位到 INI 目录, 如果用户的 wordfile.txt 与当前 EXE 目录相同
- Taglist.uet 重定位到 INI 目录, 如果用户的 taglist.txt 与当前 EXE 目录相同

v14.00+1 (2008-02-26)

- “到/从”网络安装
- 更新了“导入/导出列表”
- 剪贴板窗口的背景色
- 不再在用户文件覆盖 FTP 帐号
- 在资源管理器鼠标右键添加了“FTP 文件到工程”
- 自动换行改变了可吸附窗口导致书签被删除
- 修正了几处崩溃错误

v14.00 (2008-02-21)

   - “文件加密 / 解密”加密和解密当前或多个文件
   - 环境选择器 - 允许使用预定义或用户可创建环境, 记住所有 UltraEdit 的吸附状态窗口, 
     工具栏和更多用户便利设置。快速切换到你所需要的任务状态。
     * 每个环境中可切换的项目包括:
       -- 菜单和工具栏
       -- 应用程序启动大小和位置
       -- 吸附窗口 + 大小和位置
       -- 模板列表
     * 使用鼠标单击就可以切换环境
     * 管理环境
     * 创建个人自定义环境
     * 导入 / 导出环境配置
   - 重新设计和增强了查找和替换对话框
     * 多行可滚动文本框
     * 可折叠高级选项
     * 能够在指定列范围搜索
   - MSI 安装程序
   - 上移或下移文件中当前的行
   - 以磁盘版本比较更改过的文件
   - 比较文本的 2 个片断
   - 新的 Web 搜索工具栏
   - 吸附已命名的书签列表
   - 吸附 ASCII 字符表
   - 重新设计“设置颜色”对话框
   - 自动制表站行调整 (固定自动调整制表站)
   - 更新了导航选项在搜索所有条件在所有配置页
   - 转换 Unix 文件时个别打开提示
   - 更改多个文件时个别保存提示
   - 区分用户专有或工作区信息工程文件
   - 其它次要改进


13.20a+1 (2008-01-16)

- 自动修正关键字出错
- 列选择
- 使用组合键 CTRL + T 将 CR/LF 插入到 DOS 文件或 CR 到 Unix 文件
- 修正了一个单选钮的问题 (德文版)
- 从编辑窗以鼠标右键单击打开文件

13.20a (2007-12-05)

- 颜色拾取器载入自定义和默认颜色到活动颜色中
- 资源管理器选项“设为根目录”和“在此打开命令提示”
- 从“文件树状视图”选择或添加文件到工程
- HTML 工具栏标签和命令的 XHTML 遵从选项
- Text2HTML 选项忽略了 HTML 标签或使用了 HTML 实体数字
- HTML 编码和解码选项、URL 编码和解码，以及 Raw URL 编码
- 备份计数器的值允许前导 0 和数字编号
- 允许查找/替换扩展字符
- Perl 正则表达式行首锚点和行尾 $ 
- 替换时保持大小写 (在 Unicode 文件)
- “在文件中查找”和“在文件中替换”的 Alt 快捷方式
- 只读 UTF-8, UTF-16BE, 和 ASCII Escaped Unicode 文件
- 现在在列模式下, 使用所选文本合计列
- 定界符和自动修正关键字
- 换行注释的语法加亮
- 增强了 Open Road 和 Ventura
- 增强了“还原到上次保存”
- 转换 Unicode 文件行尾后另存失败
- 执行用户工具或查找/替换后, 文件改变检测出错
- 现在“从 FTP 打开”使用长文件名称
- 修正了屏幕刷新和脚本键方法上下箭头的问题
- 其它次要改变

13.20+5 (2007-12-03)

- 修正了一些宏命令方面的问题

13.20+4 (2007-11-30)

- 修正了“在文件中查找”当遇到 w/ 特殊字符时的问题
- 修正了 Hex 模式下使用正则表达式替换时的问题
- 修正了“在文件中查找”操作后的 Tab 缩进问题
- 修正了 Hex 模式来回切换时光标位置的问题 (UTF8 编码)
- 修正了“在文件中查找”后, 替换选项保持大小写被切断的问题
- 现在“从 FTP 打开”使用长文件名称
- 现在 Alt+t 在替换对话框切换是从文件开头进行全部替换
- 现在在列模式下, 使用所选文本合计列

v13.20+3 (2007-11-20)

- 修正了以 Hex 方式搜索不正常的重大 BUG (*)
- 新增 HTML 工具栏标签和命令的 XHTML 遵从选项
- 新增 Text2HTML 选项的忽略 HTML 标记或使用 HTML 实体编号
- 新增 HTML 编码/解码选项、URL 编码/解码以及 Raw URL 编码
- 新增载入自定义颜色和默认活动颜色的颜色拾取器
- 新增资源管理器选项 "设为根目录" 和 "在此打开命令提示" 
- 新增选择/添加文件到工程 (在文件树视图)
- 备份计数器的值允许前导 0 和数字编号
- 允许查找/替换扩展字符
- Perl 正则表达式行尾 $ 
- 允许插入 ^p 到每个增量
- 替换时保持大小写 (在 Unicode 文件)
- Ctrl-I 随后是控制代码
- 定界符和自动修正关键字
- 还原不可选
- 语法加亮使用换行注释
- 增强了 Open Road 和 Ventura 
- 增强了 "还原到上次保存"
- "保存所选内容为" 不能以源编码保存
- 执行用户工具或查找/替换后, 文件改变检测出错
- 使用分割窗口编辑 FTP 文件时添加了空格
- 当新增帐号时临时重复 FTP 帐号
- 脚本用户输入对话框有时不能取得焦点
- 宏命令从文件当前位置开始执行全部替换

v13.20+2 (2007-10-19)

- 出现重大 BUG, 以 Hex 方式搜索不正常 (*)
- Perl 正则表达式使用 '行首锚点' 
- 只读 UTF-8, UTF-16BE, 以及 ASCII Escaped Unicode 文件
- 修正了“在文件中替换”中“脚本/宏”的问题
- 修正了脱字符号 (“^”) 动作, 并且在安装时安装路径可编辑
- 脚本或宏的“在文件中查找/替换”不显示输出
- 改进了在非正则表达式 (在列出包含的行中) 脱字符号 (“^”) 变量的使用
- 改进了“在文件中查找/替换”的 Alt 快捷方式
- 改进了“查找/替换”以及 UTF-8 转为 ASCII
- 另存为 Unicode 文件时, 行尾符转换失败
- “在文件中查找”未返回与文件匹配的路径
- 修正了屏幕刷新和脚本上下箭头键方法的问题
- 取消搜索后, “在文件中查找”对话框不显示

v13.20+1 (2007-10-16)

- 出现重大 BUG, 以 Hex 方式搜索不正常 (*)
- 在文件中查找不能记住上一次设置 (从资源管理器)
- 重复地运行“在文件中查找”似乎导致常规系统缓慢
- UE 样式正则表达式搜索导致“列出包含字符串的行”为空
- 快速记录 F3 宏时会导致程序崩溃

v13.20 (2007-10-15)

   - 改进“查找”
     - 搜索和替换时的收藏夹按钮
     - 独立线程的“在文件中查找”
     - 拾取光标下面的文字可选 (“在文件中查找”对话框)
     - 现在搜索字符串会显示“未找到”对话框
     - 查找设置的自动重置 (在配置 - 选项)
     - 宏字符串搜索不总是添加到查找历史
   - 持续选择
     - 允许不使用 Shift 键选择文本
     - 持续选择, 直到:
        * 开始其它的选择
        * 选区被剪切, 删除, 或粘贴
     - 选区可以被上次的“持续选择”再次扩展
     - 持续选择定位点可以被“Ctrl + 点击鼠标左键”重置
   - 可选的打开文件时可按字母顺序排序标签
   - 在状态栏可见开始宏记录的指示
   - 可配置自动完成结果
   - SSH/Telnet 现在允许 Ctrl + Insert 键复制和 Shift + Insert 键粘贴
   - 当 UE 窗口失去焦点, 则自动保存
   - 在新的档案中, 自动保存仅提示一次

v13.10a+2 (2007-08-03)

* 修正了由于 FTP 路径的问题, 而导致文件保存到错误的目录
* 光标位置在列模式的 Ctrl + X 之后
* 大文件中列填充范围
* 带自动换行和制表符的打印文本
* 修正了由于执行宏而导致内存溢出的问题
* 修正了在 Qt 文件多行字符串的显示问题
* 在宏对话框, 将 "继续, 如果查找替换未找到" 改为 "继续, 如果未找到搜索的字符串"
* 修正了几个导致崩溃的问题

v13.10a (2007-07-13)

- 添加了用于显示空格和制表符命令的菜单/工具栏图标
- 添加了对“转到宏中选择的行或列”的列块模式支持
- 在 ASCII 字符表对话框添加了“记住字体”选项
- 在键盘映射添加了“显示行尾符”
- 增强了 FTP/SFTP
- 更新了 SFTP 组件
- 当连接到 MVS 服务器时, 在资源管理器视图打开 FTP 文件出错
- 改进了对添加 FTP 文件到工程的支持
- 增强了上传、下载和打开功能
- 改进了当应用程序退出时, 对保存文件的处理
- 更新了 SSH/Telnet 组件
- 改进了对代码折叠、多行字符串和函数列表的支持
- 改进了脱字符 (^) 的位置/显示
- 当显示空格/制表符启用时, 排列/位置不正确
- 清除历史命令时, 未完全删除所有最近的文件菜单项目
- 调整了 Perl 正则表达式查找目标的滚动缩略图
- 保存所有打开文件之后, 禁止保存所有命令
- utf8 文件随着 ASCII 转换显示
- 改进了“查找/替换”和“在文件中查找/在文件中替换”
- 改进了对正则表达式中“查找/替换”的支持
- 打开查找或替换对话框时, 出现意外提示
- 改进了对“将结果置入编辑窗口”功能的处理
- Ctrl 和/或 Alt 以及任何光标键不允许出现在键盘映射中
- 如果自动换行使用了自动行缩进, 则撤销
- 书签编辑和保存时没有文件可编辑
- “添加或删除程序”不显示 UE 图标
- 当使用鼠标从文件结尾往前选择文本时出错
- 只用 UE 正则表达式还原 wordfile
- 无法添加 FTP 文件到工程
- 修正了 REXX 多行嵌套区块注释折叠问题
- 当磁盘文件改变时, 刷新功能列表
- 保存本地文件到 FTP 服务器时, 致使本地文件打开错误
- 保存 FTP 文件时, 如果退出应用程序, 则崩溃
- 搜索时, 如果启用正则表达式, 将会导致应用程序挂起
- 如果启用正则表达式, 则搜索选项的“如果字符串未找到, 则匹配文件”失效
- 如果启用 Perl 正则表达式, “在选区中替换”将会损坏文件
- 如果“在文件中查找”启用了“将结果置入编辑窗口”, 则关闭并重新运行“在文件中查找”时, 程序崩溃
- 当前置查找或替换对话框时, 可能会遇到不正确的参数
- 如果启用 Perl 正则表达式, 则函数列表不能显示 UTF-8 文件的函数
- UE/UEStudio“在文件中查找”对话框的文件/类型的下拉列表框显示了错误的目录
- 如果已经载入一个文件, 然后从命令行打开其它文件, 则光标消失
- 如果连接到 FTP 服务器时, 使用长服务器 Banner, 则程序崩溃
- 保存 FTP 文件时报告“上传命令失败”
- 其它小幅修正

v13.10 (2007-06-12)

   - 特殊粘贴命令将 RTF 和 HTML 源文件粘贴到 UltraEdit
   - 可以从高级菜单启动新的 UE 会话
   - 快速入门指南对话框
   - 脚本改进
     - 新的脚本对象: outputWindow
     - 新的脚本属性: 
       - UltraEdit 对象: 
         clipboardIdx, columnMode,
         insertMode, regexMode
       - 文档对象:  
         fileSize, currentPos,
         currentLineNum, hexMode,
         currentColumnNum
       - outputWindow 对象: 
         visible, showOutput
     - 新的脚本方法: 
       - outputWindow 对象: 
         showWindow, write,
         clear, copy
     - 命令行执行
   - 增强的剪贴板历史记录
   - IE 浏览器改进了对图片和 css 文件等依存文件的支持
   - 优化了工作区管理器: 
     - 浏览器选项卡中可选的驱动器卷标
     - 新的“列表”选项卡, 提供收藏夹和用户创建的文件组
       /列表
     - 浏览器选项卡的过滤器
     - 打开选项卡的文件查找
   - Wordfile 选项现在支持函数列表的 Perl 正则表达式:
     /Regexp Type = Perl
   - 自动调整大小工具栏支持按钮溢出
   - 空格/制表符和换行符选项用于颜色和个性化显示
   - 支持多达 12 种可选的列标记
   - 用以指定光标如何移出选择区域的选项
   - 可以刷新包含字符串的列表行
   - 提供选项自动复制选定的文本而无需右击复制或按 ctrl+c
   - 提供弦用于宏
   - 提供选项用于下划线脱字符
   - 提供选项用于单词停止于一个单词中的每个大写字母处
   - 改进的注册过程, 现在支持粘贴整个注册邮件
   - 其它细微修改

v13.00a+2 (2007-04-25)

- 应用程序关闭时崩溃
- 应用程序关闭缓慢
- 删除了重复项目后, 排序时崩溃
- 更新了 SSH/Telnet 组件
- 更新了 SFTP 组件
- 在改变了 FTP 帐号设置, 登录帐户设置丢失后发送
- 打印页面范围却打印了整个文档

v13.00a (2007-04-12)

- 加快了启动时间
- 修正和增强了脚本
- 新增对额外代码页的支持
- 改进了对 FTP/SFTP 文件的日期/时间的处理
- 改进了“查找/替换”中对 Perl 和 Unix 正则表达式的处理
- 文件修改日期和时间使用当前本地格式
- 改进了对工程中的文件的绝对/相对路径的处理
- 改变了在 VMS 服务器上的目录
- 改进了对 UTF-8/UTF-16 文件的处理
- 若干资源管理器视图增强
- 其它次要增强和修正

v13.00+8 (2007-04-10)

- 从“视图”菜单选择字体设置时, 不显示字体对话框
- 使用版本备份时挂起或崩溃
- 用户配置工具的命令行双引号重复
- 转换 UTF-8 文件的回车符或换行符为换行时数据损坏

v13.00+7 (2007-04-05)

- 修正了资源管理器视图展开和折叠状态

v13.00+6 (2007-04-05)

- 修正了丢失或截断用户配置键盘映射的问题

v13.00+5 (2007-04-04)

- 改进了 UE 启动时间
- 修正了排序时崩溃 (当设置整行为键) 的问题
- 修正了当使用 insertMode, hexOn, hexOff, columnModeOn, 和 columnModeOff 时, 脚本失败的问题

v13.00+4 (2007-03-23)

- JavaScript setActive 函数未能改变 activeDocument
- 文件修改日期/时间未能使用当前本地格式
- 改进了 UE 启动时间
- 模板中的 [$replace$] 对于 UTF-8/UTF-16 文件无效
- 脚本中当 UltraEdit 对象循环时崩溃
- 发送“在文件中查找”的结果到输出窗口时崩溃
- 当尝试从命令行打开不存在的文件时显示“未遇到错误”
- 改进了工程文件绝对/相对路径的处理
- 以前的书签选择没有要求参数

v13.00+3 (2007-03-19)

- 修正了排序所选区域时该选区的第一行损坏的问题

v13.00+2 (2007-03-15)

- 修正了脚本中替换方法的替换选择的问题
- 修正了扩展 ASCII 字符在脚本方法 write() 的问题
- 修正了从 MRU 列表打开文件时, 文件为只读状态的问题
- 修正了在 UTF8 文件中切换 16 进制视图时, 保持光标位置的问题
- 其它语言的 HTML 色彩拾取器与英文版不同
- 当切换浏览器视图时, IE 保存对话框错误
- 改进了查找/替换的 Perl 正则表达式的处理方式
- 修正了 UE/Unix 正则表达式替换时, 内存溢出的问题
- 不相关的 BOM 中含有 UTF-8/UTF-16 文件排序结果
- 当名称包含空格时, FTP 文件/文件夹名称被截断
- 在 VMS 服务器上更改目录失败
- 修正了几个资源管理器视图问题
- 与 js32.dll 名称冲突
- 尝试更新帐号设置时 CVS / SVN 崩溃

v13.00+1 (2007-03-09)

- 添加切换浏览器视图到主要工具栏
- 修正了“在文件中查找/在文件中替换”崩溃的问题
- 改善了 FTP/SFTP 文件日期/时间的处理
- 额外代码页支持
- 添加了 Aspell 滤镜支持 (tex.conv 文件)
- 修正了打开多 FTP 文件时 "不是无格式文件" 的错误
- 修正了文件变更检测和 UltraCompare 集成的问题

v13.00 (2007-03-05)

- 集成脚本支持
- 输入时进行拼写检查
- MSI 安装程序支持
- 在收藏夹文件中搜索
- 在所有打开的文件中搜索和替换
- “在文件中搜索”针对任何不包含搜索字符串的文件
- 用户可自定义“在文件中搜索”结果的格式
- 集成 IE 浏览器支持 (显示活动 HTML 文件)
- 资源管理器视图的文件类型使用系统注册图标
- 典型安装为快速安装
- 在安装期间, 设置 UE 为源码查看编辑器之前进行提示
- 光标停止于有下划线的单词的右侧或左侧是可选的
- 逐字的字符串语法着色支持
- 语言嵌套注释

v12.20b+1 (2007-01-02)

- 修正了运行 XMLLint 时出现未分类错误
- 修正了 XMLLint 重新缩进格式选项
- 修正了 XMLLint 格式输出
- 修正了启用内存缓冲选项导致“另存为”编码转换失败的问题
- 改善了 UTF8 转 ASCII 后扩展字符的处理
- 修正了第二监视器输出窗口的位置

v12.20b (2006-12-12)

- 添加了“在 UEStudio 打开”右键关联菜单命令 (在 FTP/SFTP 浏览器远端文件列表)
- 修正了不能正确处理名称中含有 '$' 的文件的问题 (在 VAX/VMS FTP 服务器)
- 修正了 BS2000 FTP 服务器支持
- 修正了 FTP/SFTP 浏览器中日期/时间的显示问题

v12.20a+5 (2006-12-08)

- 修正了 SSH/Telnet 窗口和主机密钥验证崩溃的问题
- 修正了在打印预览下按 Alt + C 组合键导致崩溃的问题
- 修正了使用 HTML 精简和“编辑使用内存缓冲”选项的问题
- 修正了不能记忆 FTP/SFTP 浏览器排序设置的问题

v12.20a+4 (2006-11-22)

- 修正了当启用“列出包含字符串的行”选项时搜索“^p”字符崩溃的问题
- 修正了重新启动应用程序时恢复文件导致崩溃的问题
- 修正了通过 FTP/SFTP 保存 Unicode 文件数据损坏的问题 (仅 Unix 文件) 
- 改善了 TeX 筛选器拼写检查处理方式

v12.20a+3 (2006-11-17)

- 修正了尺寸大于 4 GB 时文件的显示问题 (在 FTP 打开/另存为对话框)
- 修正了保存 FTP 文件时关闭应用程序导致崩溃的问题
- 修正了关闭应用程序导致保存 FTP 文件失败的问题
- 修正了切换终端标签时 SSH/Telnet 挂起的问题
- CSE 校验器免费版本

v12.20a+2 (2006-11-08)

- 修正了切换到外部 FTP 帐号时擦除帐号信息的问题
- 修正了在 Perl 正则表达式引擎使用非字符类例如 [^a-c]+ 时出现的问题
- 修正了正则表达式破坏默认编辑窗口颜色的问题
- 修正了 UltraCompare Lite 不能显示水平滚动栏的问题
- 修正了 UltraCompare Lite 的通过忽略选项
- 修正了 UltraCompare Lite 的通过比较模式选项
- 改善了替换对话框使用“所有打开的文件”选项时对 utf8 值的处理

v12.20a+1 (2006-11-02)

- 修正了函数列表的 Unicode 显示问题
- 修正了 UE 正则表达式和扩展 ASCII 字符的问题
- 修正了在特大 XML 文件中转换回车换行符的问题
- 修正了在非 Unicode 文件的列表行显示含有中文字符串的问题
- 修正了自动缩进文字换行的问题
- 修正了当光标处在行尾空格时修剪了行尾空格光标位置的问题
- 修正了撤销、查找/替换时崩溃的问题
- 修正了宏命令中 Perl 正则表达式引擎偶尔失败的问题
- 修正了使用 Perl 正则表达式替换时宏失败的问题
- 修正了替换特大文本块时崩溃的问题
- 修正了分割窗口删除特大文件的问题
- 修正了关闭并保存修改过的 FTP 文件时失败的问题
- 修正了当创建帐号时, FTP 帐号数据例如“服务器名称”不能生效
- 修正了替换时总是从头开始替换的问题
- 修正了异步 FTP 打开或保存多 FTP/SFTP 文件时崩溃或挂起的问题
- 修正了几个 FTP 服务器变量的路径处理
- 修正了下载或上传单个目录时 FTP 浏览器的路径处理
- 修正了 FTP/SFTP 和 SSH/Telnet 帐号管理器崩溃的问题
- 修正了 FTP/SFTP 使用缓存密码或 Passphrases 时崩溃的问题
- 修正了替换“所有打开文件”时未显示替换数的问题
- 改善了打开或保存多 FTP/SFTP 文件时, 缓存密码和 Passphrases 的处理

v12.20a (2006-10-27)

- 暂无日志

v12.20+1 (2006-10-17)

- 修正了加载具有“转到”功能的宏时出错的问题
- 修正了将 OEM 格式的固定列转换为 ASCII 后崩溃的问题
- 修正了未安装 Windows 资源管理器集成 DLL 右键关联菜单的问题 (汉化版无此问题)
- 修正了 FTP 链接文件夹的子文件夹上传了无效路径的问题
- 修正了在十六进制模式打印所选区域时的问题
- 修正了 HTML 精简器输出窗口的滚动栏的显示问题
- 修正了使用 Perl 正则表达式在文件中替换时的问题

v12.20 (2006-10-12)

- SSH/Telnet 窗口
- 多键映射
- 自动缩进换行
- 支持 Windows x64 资源管理器集成
- 能够在配置中查看和打印快捷键映射
- 支持 NTFS 操作系统交互数据流
- 支持双监视器
- 文件树视图 - 资源管理器 - 点击鼠标右键在文件中查找
- 在“字符串”或“注释”中检查拼写
- 分组撤销选项
- 文件标签着色基于每个文件扩展名 (可选)
- 书签现在包含行号列号了 (可选)
- 默认把新建的未保存的文件做为选项 (配置项目)
- 可选是否保存折叠的行 (配置项目)
- 现在可选显示上次在语法着色文件中折叠的行 (配置项目)
- 能够在配置中查看 INI 文件路径
- 集成到资源管理器现在变成一个配置项目
- 新的输出窗口设置 (通过右键关联菜单调出):
　- 以空格代替制表符
　- 显示工具提示
- 如果没有文件在目录中打开, 则更改工作目录
- 鼠标滚轮滚动鼠标指针下面的窗口

v12.10b (2006-8-31)

- 修正了几个 FTP 问题, 包括上传、本地复制和工程中链接文件夹时文件名称显示的问题
- 修正了通过命令行指定已打开的 FTP 文件的行号的问题
- 修正了当删除一个 FTP/SFTP 帐号时, 在资源管理器视图出现空项目的问题
- 修正了断开与 FTP 的连接后, 树状视图位置的问题
- 修正了程序启动时打开同名 FTP/SFTP 文件的问题
- 修正了 FTP 保存只读模式的剩余文件失败的问题
- 修正了 BS2000 服务器 FTP 目录列表显示空白文件名称的问题
- 修正了使用 FTP 浏览器保存文件时, 附加管道字符到文件名称的问题
- 修正了在选区内使用 Perl 正则表达式进行搜索和替换时的问题
- 修正了使用 Perl 正则表达式时聚焦到“查找”对话框的问题
- 修正了“查找和替换”对话框不能记忆正则表达式设置的问题
- 修正了使用 Perl 正则表达式时行结束符的问题
- 修正了使用 Perl 正则表达式时光标位置和水平滚动问题
- 修正了无法记忆新关联的文件的问题
- 修正了编辑 UTF-8 文件时光标位置的问题
- FTP 浏览器、文件视图和打开/保存使用共有的密码和 passphrase
- 添加了当 SFTP 验证失败后修正证书的提示
- 添加了 FTP 浏览器和资源管理器视图的 Tandem/Guardian FTP 支持
- 扩展剪贴板历史为捕捉剪贴板数据 (超越剪贴板 0)
- 改善了剪贴板历史项目的易读性
- 现在以相对模式打开工程文件路径

v12.10a (2006-06-12)

- 修正了自定义制表站值配置问题
- 修正了文件树状视图导航问题
- 修正了书签缺失问题
- 修正了自动恢复未保存的新文件的问题
- 修正了 CSE 检验器 .dll 错误 (v7.01 Pro 试用版过期) 的问题
- 添加了 FTP 日志对话框, 在 ini 文件的设置区段加入 "Show FTP Log=1"
- 修正了编址 MVS 和串联分析的问题
- 不活动或断开时, 将不再导致 FTP 浏览器/树状视图还原到初始或根目录
- 如果连接失败, 就清除密码和 Passphrases 密钥
- SFTP Passphrases 正确的记忆所有 FTP 活动 (打开/保存, 树状视图, 浏览器) 
- 光标选择与上次查找 (Shift+F3) 工作正常
- PCRE 和代码折叠工作正常
- 树状视图, 浏览器, 和异步保存支持 FTP 本地复制

v12.10+3 (2006-05-24)

- 现在 VMS FTP 服务器支持使用逻辑路径名称
- 修正了使用帐号管理器和清除数据域时的问题
- 修正了使用 UltraCompare 简版和注册表损坏的问题
- 修正了使用工具提示和标签列表窗口崩溃的问题
- 剪贴板历史现在能够捕捉所有来自 UltraEdit 剪贴板的剪切/复制内容

v12.10+2 (2006-05-22)

- 清理了非英文版资源
- 修正了 FTP 文件和不存在的 FTP 帐号崩溃的问题

v12.10+1 (2006-05-18)

- 修正了 NT4 和 GetCPInfoEx 的问题
- 修正了 UE Unix 样式正则表达式和在行首锚点“查找/替换”时的问题
- 修正了将 FTP 文件打开和保存到 MVS 服务器的问题
- 从上一个版本升级时, 帐号转换器现在能够正确的解析非标准端口
- 修正了“在文件中查找”崩溃的问题

v12.10 (2006-05-16)

- FTP/SFTP 浏览器允许完全的 FTP/SFTP 浏览和传送操作
- FTP/SFTP 帐号对话框重新设计
- 异步 FTP/SFTP 文件保存/打开
- 基于FTP 链接工程文件夹的同步日期
- 每个文件均支持代码页设置和转换
- 剪贴板历史显示并取回上一次的剪贴板数据
- 用户命名书签 
- 增强了“转到”对话框 
- 在行号处点击鼠标右键可以添加/编辑/删除书签
- 增强了颜色拾取器
- “在文件中查找”在搜索和替换时忽略目录
- Xmllint 支持
- 增加了备份 UE 工具栏和其它个性化自定义的方法 

v12.00a+1 (2006-05-03)

- 修正了函数列表显示为空列表的问题

v12.00a (2006-04-28)

- FTP 文件树状视图支持 MVS 服务器
- 当鼠标在主要工具栏徘徊时, 显示本地化工具提示
- 修正了 FTP 模式 (FTP 链接文件夹) 总是使用二进制模式的问题
- 修正了十六进制编辑视图中并行光标不能选择的问题
- 修正了工具栏与菜单的删除注释功效不同的问题
- 修正了水平滚动缩略图与较长的行时的问题
- 修正了引用 Perl 哈希表 (Hash) 时括号匹配的问题
- 修正了在文件中查找/替换并将结果显示到编辑窗时的问题
- 修正了在 Windows 2000 下“查找/替换”的下拉框的问题
- 修正了“列出行包含的字符串”显示高位 ASCII 字符的问题
- 修正了“列出行包含的字符串”对话框使用新行符的问题
- 修正了“替换全部打开文件”以空字符替换字符串时的问题
- 修正了 Perl 正则表达式以及异常处理的问题
- 修正了 Perl 正则表达式使用锚点 (即 ^ 和 $) 时的数目问题
- 修正了 Perl 正则表达式发现多行确定的问题

v12.00+4 (2006-04-26)

- 修正了 Perl 正则表达式中的 CTAG 的问题
- 修正了在 UE, Unix, 以及 Perl 样式正则表达式之间切换时涉及到的问题
- 受影响的区域包括: 查找/替换、宏、函数列表以及 CTAG
- 修正了在 Windows 2000“列出行包含的字符串”丢失滚动条的问题
- 修正了“自动恢复”与“允许运行多个 UE”中的问题
- 修正了多字符括号匹配的问题

v12.00+3 (2006-04-07)

- 修正了多行全部替换的问题
- 修正了查找/替换对话框的崩溃和焦点问题
- 修正了将很大的、只有一行的文件转换为固定列时的扫描问题
- 修正了 Windows 经典视图中收藏夹文件对话框重置大小的问题
- 修正了在文件中查找到编辑窗口的问题
- 修正了处理中文时的光标问题
- 修正了拼写检查替换后的位置问题
- 修正了搜索设置的“到文件结尾后继续 (从头开始)”的问题
- 修正了导入 UE 设置的问题
- 修正了区块模式增减缩进时的选择问题
- 打开文件时, 如果不使用临时文件, 则出现提示信息

v12.00+2 (2006-03-31)

- 未找到官方更新日志

v12.00+1 (2006-03-16)

- 修正了重命名 FTP 文件/文件夹时崩溃的问题
- 修正了在 Unicode 文件中进行替换/撤销时出现的问题
- 修正了将 UTF8 另存为 UTF16/BE/UASCII 格式时出现的问题

v12.00 (2006-03-15)

- Perl 兼容的正则表达式/真 Unix 样式正则表达式
- FTP/SFTP 优化
  - FTP 帐户在文件树视图里显示并可访问
  - FTP 设置现在可以位于用户定义的文件中
  - 能连接本地文件夹和远程文件夹并在远程服务器和本地系统之间上传/下载文件
- 查找/替换优化
  - 进一步改良 UNICODE 支持
  - 对话框完全支持 UNICODE
  - 高亮显示所有找到的字符串
- 将用户工具和工程工具都增加到25个
- 新的宏命令: 
  - *IfFTP 检查文件是否为 FTP 文件
  - *IfCharGt 检查字符是否大于值
  - *IfColNumGt 检查列号是否大于值
- 用户工具和工程工具新改进的对话框
- 改进的 (Aspell) 拼写支持
- 代码折叠支持忽略字符串和注释字符串
- 优化对 UltraCompare Professional 的支持包括三方比较
- 在 UltraEdit 文件树视图里右键单击比较
- 更改用户概要文件时所有菜单和工具栏一道切换
- 添加新的键映射: 
    下个窗格              Ctrl+F1O
    上个窗格              Alt+F1O
    编辑 - 粘贴和复制     Ctrl+Shift+V
    配置文件 - 选择菜单   Alt+F8

v11.20b (2006-01-27)

- 在配置中添加了字体品质调节
- 重新载入文件后自动展开
- 修正了增量搜索找不到首个搜索到的字母的问题
- 工程设置“删除”按钮仅删除工程中的项目; 将不删除文件或文件夹
- 修正了 Unicode 文件字数统计不准确的问题
- 修正了 SFTP 多文件检测
- 修正了从多个服务器打开文件时 FTP 帐号检测的问题 
- 修正了十六进制编辑器 END 键的操作问题
- 增强了对 Unicode 字符的处理
- 修正了“在文件中查找”的取消操作
- 修正了打印超过 200 页时的“内存溢出”错误
- 修正了 F1 用户帮助的选择
- 修正了输出窗口的滚动问题
- 修正了拆分窗口底部语法着色的问题
- 修正了图标隐藏到工具栏配置对话框的问题
- 修正了空的窗口列表

v11.20a (2005-11-29)

- 修正了使用 HTML 工具栏时 CPU 占用率过高的问题
- 窗口菜单中的窗口列表现在显示正常

v11.20+5 (2005-11-09) 

- 修正了在文件标签鼠标指针粘连的问题
- 修正了单击最大化时出现的问题
- 修正了打印预览语法着色的 Unicode 文件的问题

v11.20+4 (2005-11-07)

- 修正了新行绘制错误的问题
- 修正了配置选项不能保存的问题

v11.20+3 (2005-11-04)

- 修正了在同一个 HTML 行嵌入多个 ASP 声明的问题
- 修正了由软换行分隔反转花括号自动匹配行的问题
- 修正了 Wordfile 中的“style”关键字
- 修正了 HTMLImageButton 命令标签
- 修正了转到列号到开始的第 1 列
- 修正了打开和关闭折叠同一个字符串时全部折叠的问题

v11.20+2 (2005-10-27) 

- 修正了错误的键盘/工具栏指令导致的迟延

v11.20+1 (2005-10-24) 

- 修正了丢失打开窗口列表的问题
- 修正了鼠标右键菜单配置崩溃的问题

v11.20 (2005-10-20)

- 新的高级设置对话框界面
- 用户可通过右键菜单设置主要编辑窗口和文件标签
- 可以自定义由 HTML 工具栏创建的标签
- 可以编辑 Unicode Big Endian
- 支持直接编辑 ASCII Escaped Unicode
- 可以将 Big Endian 转换为 Little Engian
- 可以向 XML 文件中添加缺少的结束符
- 自定义菜单/工具栏功能加强, 允许拖放
- 新增了与 UltraSentry 的整合, 用以安全地删除 UE 临时文件
- 提供了清空“最近的文档”和工程历史的选项
- 可以调整默认编辑窗口大小

v11.10c+1 (2005-09-21)

- 修正了 HTML/PHP 文件语法着色时挂起的问题
- 修正了转换行尾的粘贴问题

v11.10c (2005-09-20) 

- 修正了语法着色文件的打印/打印预览问题
- 在工程备份/恢复添加了注释字段
- 增强了几个资源编辑器
- 增强了数字转换器, 支持 u-dos 文件和“同意编辑”
- 其它次要修正

v11.10b+4 (2005-09-16) 

  - 修正了滚动时有时会导致崩溃的问题

v11.10b+3 (2005-09-13)

  - 修正了使用正则表达式替换时, 额外新增一行的问题
  - 改变了最小化所有其它打开的文件时的比较功能
  - 修正了增大/缩小字体时, 点的大小不规则的问题
  - 改变了 EBCDIC 转 ASCII, 使它的操作更接近期望的效果
  - 修正了语法着色和 FTP 文件功能列表分析 
  - 通过资源管理器鼠标右键菜单打开文件时, 现在能够正确检测属性是否只读
  - ESC 键现在能够取消 FTP 帐号对话框的溢出, 代替了保存
  - 尝试使用已删除的 FTP 帐号时, 生成一个有用的错误信息
  - 添加了 EBCDIC 和创建 CTAG 到可用的工具栏命令
  - 保存通过 FTP 打开的文件时, 将记忆它们的 ASCII/二进制类型
  - FTP 在另存为时, 进度栏在保存后将刷新
  - 修正了 Stratus 虚拟操作系统 (VOS) 的 FTP 问题
  - 修正了 ASP 行注释中不正确的 </script> 语法着色
  - 修正了在一行中使用了多国语言的语法着色问题

v11.10b+2 (2005-08-22)

  - UltraEdit 官方正式发布

v11.10b+1 (2005-08-08)

  - UltraEdit 官方正式发布

v11.10b (2005-07-27)

  - UltraEdit 官方正式由 11.10a 升级, 其它为非官方
  - UltraCompare Professional 简体中文版 v2.00b -> 2.00b+
    - 修正了一些错误
    - 改善了少数用户的收藏夹对话框
    - 多行删除支持 "删除所选行" 选项
    - 使用鼠标右键块选
    - 修正了当工作于文件夹模式时的系统错误 #8

v11.10a+4 (2005-07-08)

  - 修正了多语言文件中引用多行字符串的问题
  - 修正了在 Windows 9x 系统粘贴行尾符时的转换
  - 修正了 FTP 文件名的拖尾空格的问题
  - 添加了错误信息来区分文件夹和组 (在新建文件夹对话框)
  - 修正了在撤销缓冲和在文件中较长一行的特定搜索/替换操作导致堆栈损坏的问题
  - 修正了在颜色拾取器中丢失红/绿/蓝位图的问题
  - 添加了崩溃转储报告功能
  - 修正了工程文件夹子目录中过滤器显示的问题
  - 修正了搜索工程文件夹子目录时的“在文件中查找”、“功能列表”和“Ctags”问题
  - 修正了着色问题和 FTP/SFTP 以“语法着色文件方式另存为”崩溃的问题
  - 修正了在 Windows XP 系统改变桌面背景色时冲突的问题
  - 修正了 SFTP 在文件列表时截短或丢失文件名的问题
  - 修正了 UTF-8 减少误报检测的问题

v11.10a+3 (2005-06-13)

  - 修正了当运行多个 UE 时的同步问题
  - 修正了多个文件被一个 UE 同时打开的问题
  - 从默认 FORTRAN_LANG 文件扩展列表删除了 f90 和 f95
  - 当系统中的驱动器被添加/删除时, 浏览视窗将立即进行恰当更新
  - 修正了工程标签文件/字词文件相对路径的错误
  - 修正了当选择显示的顶行, 且鼠标单击首列左侧时的拖放问题

v11.10a+2 (2005-05-19)
  - 修正了多语言语法着色 Unicode 文件函数列表的更新
  - 修正了未知语言的多线字符串切换
  - 添加了检查所选行大于 20k 个字符时的重新缩排行企图
  - 在大的 Unicode 文件中滚动时, 保持文本选区状态
  - 修正了转换 UNIX 文件的撤销错误
  - 修正了当接近文件结尾时折叠/展开代码的屏幕跳动问题
  - 改良了 VAX/VMS 的 SFTP 支持

v11.10a+1 (2005-05-13)
  - 修正了单引号导致的 Aspell 拼写错误
  - 修正了文件代码折叠区段滚动时崩溃的问题
  - 修正了代码折叠区段 >75kb 时编排错误的问题
  - 修正了在非语法着色文件中大括号匹配的问题
  - 修正了粘贴 UTF-16/UTF-8 时崩溃的问题

v11.10a

  - 修正了在 Unix/Mac 文件中进行“撤销/重做”时的问题
  - FTP 文件列表现在能够正确显示大于 2GB 的文件尺寸
  - 修正了在自动重排文件中的书签显示问题
  - 修正了当使用“”替换时的替换历史
  - 修正了当双击输出窗口时 (Mac/Unix 文件查找输出) 位置显示不正确的问题
  - 输出窗口命令, 复制到剪贴板, 输出时现在包含 DOS 行尾符
  - 修正了屏幕在列模式下可能的跳转
  - 自动重排模式下, 当字体大小已改变时, 重排屏幕文本
  - 修正了在列模式下的复制/粘贴命令 (UTF-8/UTF-16 文件)
  - 修正了 FTP 保存的问题 (UTF-8 文件)
  - 添加了 FTP 在 Guardian 文件系统下对 HP Tandem 系统的支持
  - 修正了在某些服务器双重 FTP 改变目录的问题
  - 修正了仅粘贴文本到查找组合框读/写文件的问题
  - 在状态栏添加了语法着色语言的语言指示器
  - 修正了非语法着色文件的 Aspell 拼写检查
  - 改善了大型 XML (没有 CR/LF) 文件的性能
  - 修正了“使用光标键自动修正”的错误
  - 修正了在语法着色文件中显示 ASCII 字符值超过 128 时崩溃的问题
  - 修正了在多语言文件中 CSS 着色的问题
  - 修正了在多语言文件中 VBScript 语言分析的问题
  - 工程工具自定义图标现在在菜单和工具栏显示
  - 现在从工程树状视图能够打开多字节文件名 (韩文)
  - 修正了“另存为 ANSI/ASCII”导致文件损坏的问题
  - 多显示器工具提示现在可以在正确的位置显示了
  - 改善了对 UTF-16 文件的检测
  - 键盘映射对话框的默认按钮现在用“恢复默认”代替“清除所有映射”
  - 修正了删除“菜单/工具栏”配置文件后导致 UE 无法开始的问题
  - 增加了在 Windows 95 下检测以 UE 工具栏改正图表的支持
  - 修正了在“在文件中查找”中试图在未打开文档的情况下搜索时崩溃的问题
  - 修正了当选择被传递给工具, 但在 16 进制模式下却未选择时, 用户工具崩溃的问题

v11.10
  - 全新的图标
  - 粘贴时, 剪贴板转换 UNIX/MAC/DOS 行结束符
  - 增强型“另存为”对话框
  - 在工程文件中替换
  - 升级检查
  - 自动检测 Unicode(UTF-16) 文件 (不用 BOM)


v11.00  
  - 增强的可配置菜单 / TB 支持
  - 更容易使用
  - 保存配置
  - 多重配置, 适当的任务选择
     -HTML 工具栏
  - 预配置 - 非常受欢迎的功能
     -改良 HTML Tidy 支持
  - 更新
  - Tidy 配置对话框
     -Aspell 拼写检查器 (多语言)
     -增强用户界面
  - 框架/窗口改变
  - 改良书签
  - 脱字符位置的标尺辅助线
  - “资源管理器”样式的文件树状查看
  - 改良文档标签
     -代码折叠
  - 折叠任何 Function 或 Structure (C/C++)
  - 全部折叠和全部展开
     -复制/追加行, 如果未选择 (可选)
     -增强大括号匹配
  - 新式着色 (基于行/列背景)
  - 用户可配置匹配字符串
     -文件日志
  - 以配置好的时间间隔自动更新日志文件
  - 文件能够逐个地设置到日志文件
     -多语言 (仅为 HTML 文件类型) 语法着色
     -Tools 工具栏
  - 增强的颜色拾取器
  - CSS 样式构建器
  - HTML Tidy 增强了界面/配置对话框
  - 全局唯一 ID 号码生成器
  - 数字转换器 (2, 8, 10, 16 进制转换)
  - 艺术样式格式器
     -其实次要改变
  - 锁定插入模式键 (防止覆盖)
  - 禁用自动 16 进制模式
  - 从资源管理器打开不改变最近的文件列表
  - 总在最前面的功能现在改到查看菜单
  - 增强了重新缩进功能
  - 语法着色支持换行


-------- 历史 -----------------------------------------

// 历史 - 去掉了 v8.00 以前的内容
     
v11.00b+1 (2005-03-29)
  - 无更新日志

v11.00b+
  - 修正了从 INI 文件保存和载入工具栏配置
  - 修正了当切换到十六进制模式时的光标位置

v11.00b
  - 添加了新的 INI 选项中的 Windows 字体: Extra Windows Font=字体名称 (默认: Extra Windows Font=Tahoma)
  - 添加了新的 INI 选项中的 Windows 字体大小: Extra Windows Font Height=字体大小 (默认: Extra Windows Font Height=13)
  - 添加了新的 INI 选项中的 文件 Tab 字体: TAB Windows Font=字体名称 (默认: TAB Windows Font=Tahoma)
  - 添加了新的 INI 选项中的 文件 Tab 字体大小: TAB Windows Font Height=字体大小 (默认: TAB Windows Font Height=13)
  - 添加了“在菜单上使用检查标记”配置 (盲文用户)
  - 修正了在文件中查找时崩溃的问题
  - 修正了在文件中查找 - 搜索打开文件 (UTF-8/UTF-16 文件)
  - 修正了在打开的文件中替换 (UTF-8/UTF-16 文件)
  - 修正了在所有打开的文件中替换 (UTF-8/UTF-16 文件)
  - 修正了当试图添加错误的单词到拼写查找器字词列表时崩溃的问题
  - 工程设置对话框现在显示完全路径
  - 快速搜索工具栏项目现在工作良好 (同时在多工具栏)
  - 修正了自动完成
  - 修正了 FTP/SFTP 的错误, 包括崩溃, 以及正确重载远程文件
  - 修正了 Perl 语句自动缩进
  - 修正了 Win 9x 启动的问题 (使用 ueres.dll 时)
  - 修正了当分割窗口和删除时崩溃的问题
  - 改良了多语言文件语法着色, 折叠和缩进
  - 文件树状视图排序现在包含路径
  - 修正了工程文件
  - 增加了工具栏搜索窗口改变大小 (长度) 的能力 (通过双击工具栏自定义窗口“查找”组合框项目)
  - 修正了某些字体致使行号截断的问题
  - 其它次要修正

v11.00a:

  - 几个与工程相关的错误 (包括刷新)
  - 在一些实例中, 仅部分的工程路径显示于工程目录
  - 在某些环境中, 工具栏位置未能保存
  - 添加更多图标到工具栏配置
  - 如果函数字符串结尾含有星号 (*), 某些函数不显示
  - 修正了显示错误 - 行号被剪
  - 修正了多行字符串
  - XML 添加了默认折叠字符串
  - XML 文件的行特别长时, 处理变得非常慢
  - 如果它是一个新的语法着色文件, 保存时崩溃
  - 自动完成对话框退出
  - 拼写检查器和 Unicode 文件位置有问题
  - 多次在文件开头使用 GUID 会崩溃
  - 插件颜色默认颜色错误
  - 当 UltraEdit 关闭并最小化到系统栏, 图标不见了
  - 自动修正返回键
  - MVS 中的几个次要 FTP/SFTP 错误

v11.00+ hotfix2 最新更新 (2005-02-17):

  - 几个与工程相关的错误 (包括刷新)
  - 资源管理器视图 - 当鼠标划过时, 不访问软驱/移动驱动器
  - 资源管理器视图 - 不显示由 SUBST 命令创建的驱动器
  - 文件树视图 - 扩展名为 .s03 错误显示为 .s0303
  - 文件树视图 - 如果在关闭时窗口未贴靠, 现在能够记忆位置
  - HTML 工具栏 - Text2HTML 不支持某些转换
  - HTML 书签按钮变为锚点 (防止混乱)
  - HTML“B”(粗体) 按钮不能删除标记
  - 从工具捕捉输出不总是有效
  - 配置“改变到拼写检查器”选项不总是能够激活“应用”
  - 非语法着色文件也支持 Ctrl-B 大括号配对
  - 多行字串错误 
  - 函数列表不总是能够检测到以前版本检测到的函数
  - 输出窗口的错误
  - 已添加的图标: 重复一行, 剪切追加, 复制追加, 关闭所有文件除了活动的文件, 查找符号 
  - Themes/Manifest 文件显示错误
  - 小幅修正 SFTP
  - 几个其它次要的错误报告

v10.20d+ 最新更新:

  - 修正安装后不能正确关联鼠标右键菜单的问题
  - 修正了多进程的错误
  - 修正了几个 UTF-8/Unicode 相关文件处理的错误
  - 修正了输出窗口的错误
  - 修正了存取违反的错误
  - 修正了“在文件中查找”的错误
  - 修正了 FTP 过滤器的设置错误
  - 修正了工程组“相关到工程文件”设置的错误
  - 修正了通过符号链接打开文件的错误
  - 修正了“FTP 打开/保存”-“最近的文件列表”中的重复项目
  - 修正了 SFTP 多文件权限错误
  - 修正了“全部替换”的错误

v10.20c 最新更新:

  - 多制表站位
  - 复制一行
  - 新建一行/插入一行
  - 标签显示文档路径的工具提示
  - 树状查看功能改变查看为活动文件的驱动器/路径
  - 字符属性弹出对话框显示:
  以十进制/十六进制显示字符的值
  以十进制/十六进制显示从文件开始处的字符偏移
  - 额外宏命令:
  在文件中查找和替换
  转换 ASCII 到 UNICODE
  UNICODE 到 ASCII
  复制一行
  新建一行/插入一行
  - 命令行选项 (“-f”) 在命令行搜索一个字符串
  - 必须是命令行的最后参数
  - 允许灵活使用上次在 UltraEdit 中查找的设置    
  - 增进修剪空格的能力
  - 显示转换自 Windows 标准字体的 ISO 8859-2 字体
  - 帮助改为 CHM 格式
  - SFTP 现在支持 PuTTY 密钥格式
  - INI 文件现在默认放在 %APPDATA% 文件夹, 除了用于兼容的早已存在于 Windows 文件夹的那一个
  - 修正随机打印的问题
  - 修正了在 NT4 下打印的问题
  - 调试器运行正常
  - 修正了 UTF-8 问题
  - 其它次要修正
    
http://www.ultraedit.com/updates/uehotfix.html

Windows 是 Microsoft Corporation. 注册商标。
